Bug 600914 - Review Request: txt2regex - Regular expression wizard that converts human sentences to regexes
Review Request: txt2regex - Regular expression wizard that converts human sen...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Spura
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-06 13:12 EDT by Richard Fearn
Modified: 2010-08-06 17:05 EDT (History)
4 users (show)

See Also:
Fixed In Version: txt2regex-0.8-3.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-06 15:57:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tomspur: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Richard Fearn 2010-06-06 13:12:55 EDT
Spec URL: http://richardfearn.fedorapeople.org/txt2regex/0.8-1/txt2regex.spec
SRPM URL: http://richardfearn.fedorapeople.org/txt2regex/0.8-1/txt2regex-0.8-1.fc13.src.rpm

Description:

"Txt2regex is a Regular Expression wizard that converts human sentences to regexes.

"In a simple interactive interface, you just answer to questions and build your own regex for a large variety of softwares and programming languages: AWK, ed, egrep, Emacs, expect, find, gawk, grep, lex, lisp, mawk, MySQL, OpenOffice.org, Perl, PHP, Postgres, Procmail, Python, SED, Tcl, VBscript, VI, Vim.

"Already translated to 10 languages, it features support for POSIX classes, smart group balance control, metacharacters information table and regex automatic generation for frequently used patterns."

For more information, see:

http://aurelio.net/soft/txt2regex/

The spec file, source RPM and binary (noarch) RPM are free of rpmlint warnings and errors (except for spelling errors).
Comment 1 Thomas Spura 2010-06-08 07:23:06 EDT
This would surely help with Upstream Release Monitoring... Nice program.

Review:

Good:
- sources match upstream: 83bc1f95b36fe51ade8d130fab390103
- name ok
- BR ok
- %build could be simplified, with a for loop, but ok
- locales handled properly
- no libs
- no *.la
- group ok
- %install ok
- macros everywhere
- $ rpmlint ./noarch/txt2regex-0.8-1.fc13.noarch.rpm 
txt2regex.noarch: W: spelling-error Summary(en_US) regexes -> regexps, reg exes, reg-exes
txt2regex.noarch: W: spelling-error %description -l en_US Txt -> Tet, Ext, Tut
txt2regex.noarch: W: spelling-error %description -l en_US regex -> regexp, reg ex, reg-ex
txt2regex.noarch: W: spelling-error %description -l en_US regexes -> regexps, reg exes, reg-exes
txt2regex.noarch: W: spelling-error %description -l en_US softwares -> software, software's, soft wares
txt2regex.noarch: W: spelling-error %description -l en_US egrep -> grep, egret, e grep
txt2regex.noarch: W: spelling-error %description -l en_US lex -> ex, flex, Alex
txt2regex.noarch: W: spelling-error %description -l en_US mawk -> maw, maws, mask
1 packages and 0 specfiles checked; 0 errors, 8 warnings.

- builds in koji:
  http://koji.fedoraproject.org/koji/taskinfo?taskID=2237821


Needswork;
- license is unclear: The webside says GPL, the COPYING contains GPLv2.
  Is it GPLv2 only, GPLv2+ ?
  Please ask upstream to clearify this and make proper headers in a next release.
- %desctiption:
  When searching for python or emacs or .... this program will be found, which is not so good...
  What's your opinion towards this?


##############################################################################

Main blocker: unclear license.
Comment 2 Richard Fearn 2010-06-08 14:19:40 EDT
Thanks for the review Thomas!

> - %build could be simplified, with a for loop, but ok

I don't know why I didn't do that before! That will be in the next release.

> - license is unclear: The webside says GPL, the COPYING contains GPLv2.
>   Is it GPLv2 only, GPLv2+ ?
>   Please ask upstream to clearify this and make proper headers in a next
> release.

I have asked.

> - %desctiption:
>   When searching for python or emacs or .... this program will be found, which
> is not so good...
>   What's your opinion towards this?

I see your point. I've removed the list of programs now. This means that if support for any new programs is added, the description won't need to be modified. I also fixed a few typos. The current description is:

"txt2regex is a regular expression wizard that converts human sentences to
regexes.

"In a simple interactive interface, you just answer questions and build your
own regex for a large variety of software and programming languages."

I'll upload a new spec/SRPM when I've heard from upstream.

Thanks for your feedback!
Comment 3 Richard Fearn 2010-06-09 13:36:10 EDT
Upstream has confirmed that txt2regex is GPLv2 only.

The new spec and SRPM, which include the licence clarification and the changes mentioned in comment 2, can be found here:

http://richardfearn.fedorapeople.org/txt2regex/0.8-2/txt2regex.spec
http://richardfearn.fedorapeople.org/txt2regex/0.8-2/txt2regex-0.8-2.fc13.src.rpm
Comment 4 Thomas Spura 2010-06-11 17:55:40 EDT
(In reply to comment #3)
> Upstream has confirmed that txt2regex is GPLv2 only.
> 
> The new spec and SRPM, which include the licence clarification and the changes
> mentioned in comment 2, can be found here:

Close to done. Please also write 'GPLv2 only' into the License tag.

It would be enought for me, to see a commit on an upstream repository or to have another 'proof' for the license confirmation.

I just stepped into this:
https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#License_Clarification

It would be the easiest, if upstream would update all it's webpages and adds headers to a new release...
If you want to go fast, please add the email source and mark as %doc as described at the link from above.

I would approve this now, but after reading the licensing site again, it seems lawyers would beat me ;)
Comment 5 Richard Fearn 2010-06-16 16:56:37 EDT
> Close to done. Please also write 'GPLv2 only' into the License tag.

The correct short name is "GPLv2", according to:

  http://fedoraproject.org/wiki/Licensing#SoftwareLicenses

Additionally rpmlint doesn't like "GPLv2 only":

  txt2regex.src: W: invalid-license GPLv2 only

> It would be enought for me, to see a commit on an upstream repository or to
> have another 'proof' for the license confirmation.

I'm not sure there is a repository - just the tgz download.

> I just stepped into this:
> https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#License_Clarification

Thanks for the link - I wasn't aware of that page.

> It would be the easiest, if upstream would update all it's webpages and adds
> headers to a new release...
> If you want to go fast, please add the email source and mark as %doc as
> described at the link from above.

I've asked Aurélio (txt2regex author) whether he is willing to make a new release that clarifies the licence. If not, I'll add the email I got from him. I'll upload a new spec/SRPM soon.
Comment 6 Richard Fearn 2010-07-18 16:41:35 EDT
I heard back from Aurélio, the author of txt2regex. He said:

"Please include the email, I don't intend to release a new version of txt2regex soon."

So I have created 0.8-3, which includes the email I received from him on 2010-06-08 confirming that txt2regex is GPLv2 only. New spec/SRPM are here:

http://richardfearn.fedorapeople.org/txt2regex/0.8-3/txt2regex.spec
http://richardfearn.fedorapeople.org/txt2regex/0.8-3/txt2regex-0.8-3.fc13.src.rpm

The only rpmlint warnings are spelling errors, and they are all false positives.
Comment 7 Thomas Spura 2010-07-18 18:01:16 EDT
Alright then:

$ rpmlint ./txt2regex-0.8-3.fc13.src.rpm noarch/txt2regex-0.8-3.fc13.noarch.rpm 
txt2regex.src: W: spelling-error Summary(en_US) regexes -> regexps, reg exes, reg-exes
txt2regex.src: W: spelling-error %description -l en_US regexes -> regexps, reg exes, reg-exes
txt2regex.src: W: spelling-error %description -l en_US regex -> regexp, remex, reg ex
txt2regex.noarch: W: spelling-error Summary(en_US) regexes -> regexps, reg exes, reg-exes
txt2regex.noarch: W: spelling-error %description -l en_US regexes -> regexps, reg exes, reg-exes
txt2regex.noarch: W: spelling-error %description -l en_US regex -> regexp, remex, reg ex
2 packages and 0 specfiles checked; 0 errors, 6 warnings.

I'm no naitive speaker, so don't know if it's regexes or regexps. I guess both words don't exist in standard English^^

-> ignorable

______________________________________________________________________________

APPROVED, great to have it in fedora now
Comment 8 Richard Fearn 2010-07-18 18:28:55 EDT
Thank you Thomas!

From http://en.wikipedia.org/wiki/Regular_expression:

"In computing, regular expressions, also referred to as regex or regexp..."

So I think regex/regexes is OK :-)



New Package CVS Request
=======================
Package Name: txt2regex
Short Description: Regular expression wizard that converts human sentences to regexes
Owners: richardfearn
Branches: F-12 F-13 EL-5 EL-6
InitialCC:
Comment 9 Kevin Fenzi 2010-07-19 00:45:03 EDT
CVS done (by process-cvs-requests.py).
Comment 10 Fedora Update System 2010-07-19 14:04:41 EDT
txt2regex-0.8-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/txt2regex-0.8-3.fc13
Comment 11 Fedora Update System 2010-07-19 14:04:41 EDT
txt2regex-0.8-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/txt2regex-0.8-3.fc12
Comment 12 Fedora Update System 2010-07-19 14:04:43 EDT
txt2regex-0.8-3.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/txt2regex-0.8-3.el5
Comment 13 Fedora Update System 2010-07-19 14:05:28 EDT
txt2regex-0.8-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/txt2regex-0.8-3.fc13
Comment 14 Fedora Update System 2010-07-19 14:05:54 EDT
txt2regex-0.8-3.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/txt2regex-0.8-3.el5
Comment 15 Fedora Update System 2010-07-20 18:43:54 EDT
txt2regex-0.8-3.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update txt2regex'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/txt2regex-0.8-3.fc12
Comment 16 Fedora Update System 2010-07-21 16:00:33 EDT
txt2regex-0.8-3.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update txt2regex'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/txt2regex-0.8-3.el5
Comment 17 Fedora Update System 2010-08-06 15:57:54 EDT
txt2regex-0.8-3.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2010-08-06 17:04:10 EDT
txt2regex-0.8-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2010-08-06 17:05:37 EDT
txt2regex-0.8-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.